Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/DRWork/FrmDRWork.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/DRWork/FrmDRWork.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/DRWork/FrmDRWork.cs	(revision 51)
@@ -36,7 +36,7 @@
         /// <summary>
         /// グリッドカラム
         /// </summary>
-        private enum DispGridColumn
+        private enum GridColumn
         {
             DispDay = 0,
             Day,
@@ -43,6 +43,8 @@
             WeekString,
             ConstructionCode,
             ConstructionName,
+            OverTimes,
+            Comment,
         }
         #endregion
 
@@ -53,13 +55,29 @@
         private enum DspCtrlName
         {
             /// <summary>
-            /// 作業年月
+            /// 部署名
             /// </summary>
-            ConstructionYear = 0,
+            DepartmentName = 0,
             /// <summary>
+            /// 担当者名
+            /// </summary>
+            PersonName,
+            /// <summary>
+            /// 日報年月
+            /// </summary>
+            ConstructionYear,
+            /// <summary>
+            /// 日報開始日
+            /// </summary>
+            ConstructionDayFrom,
+            /// <summary>
+            /// 日報終了日
+            /// </summary>
+            ConstructionDayTo,
+            /// <summary>
             /// 出勤日数
             /// </summary>
-            attendancesDays,
+            WorkingDays,
             /// <summary>
             /// 残業時間
             /// </summary>
@@ -75,6 +93,11 @@
 
         #region 変数
         /// <summary>
+        /// 初期表示フラグ
+        /// </summary>
+        private bool m_bInitFlg = true;
+
+        /// <summary>
         /// フィールド値変化フラグ
         /// </summary>
         private bool m_bChengeAns = false;
@@ -99,16 +122,6 @@
         /// </summary>
         private bool m_EditLock = false;
 
-        /// <summary>
-        /// グリッドサイズ
-        /// </summary>
-        private int m_GridWidth = 0;
-        /// <summary>
-        /// ウィンドウサイズ保持領域
-        /// </summary>
-        private int m_WindowWidth = 0;
-        private int m_WindowHeight = 0;
-
         #endregion
 
         #region プロパティ
@@ -157,11 +170,30 @@
         /// </summary>
         /// <param name="sender"></param>
         /// <param name="e"></param>
-        private void FrmTAndPCosts_Load(object sender, EventArgs e)
+        private void FrmDRWork_Load(object sender, EventArgs e)
         {
             try
             {
+                // 表示オブジェクトの取得
+                SetDisplayObject();
+
+                // 対象年度のセット
+                SetActionMonthly();
+
+                // 部署のセット
+                SetcmbDepartment();
+
+                // 担当者のセット
+                SetcombBoxPerson();
+
+                // コンボボックス初期表示
+                InitCombBox();
+
+                // 初期表示
                 InitDataLoad();
+
+                // 初期表示フラグOFF
+                m_bInitFlg = false;
             }
             catch (System.Exception ex)
             {
@@ -188,7 +220,7 @@
         /// </summary>
         /// <param name="sender"></param>
         /// <param name="e"></param>
-        private void FrmTAndPCosts_FormClosing(object sender, FormClosingEventArgs e)
+        private void FrmDRWork_FormClosing(object sender, FormClosingEventArgs e)
         {
             try
             {
@@ -240,5 +272,54 @@
         }
         #endregion
 
+        #region 営業期コンボボックス変更
+        /// <summary>
+        /// 営業期変更
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void numUDConstPro_ValueChanged(object sender, EventArgs e)
+        {
+            if (m_bInitFlg) return;
+            // データ表示
+            InitDispData();
+        }
+        #endregion
+
+        #region 部署コンボボックス変更
+        /// <summary>
+        /// 部署コンボボックス変更
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void cmbDepartment_TextChanged(object sender, EventArgs e)
+        {
+            if (m_bInitFlg) return;
+
+            // 担当者コンボボックス変更
+            //SetcombBoxPerson();
+
+            // データ表示
+            InitDispData();
+        }
+        #endregion
+
+        #region 担当者コンボボックス変更
+        /// <summary>
+        /// 担当者変更
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void cmbConstructionPerson_TextChanged(object sender, EventArgs e)
+        {
+            if (m_bInitFlg) return;
+
+            // 担当者選択時部署選択を設定する
+            SetPerosonToDepartment();
+
+            // データ表示
+            InitDispData();
+        }
+        #endregion
     }
 }
Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/DRWork/FrmDRWorkAuxiliary.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/DRWork/FrmDRWorkAuxiliary.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/DRWork/FrmDRWorkAuxiliary.cs	(revision 51)
@@ -18,26 +18,6 @@
 {
     partial class FrmDRWork
     {
-        #region 初期設定
-        /// <summary>
-        /// 初期設定
-        /// </summary>
-        private void InitSettingLoad()
-        {
-            try
-            {
-                // 初期サイズ保持
-                m_GridWidth = dgvAllDisplay.Width;
-                m_WindowWidth = this.Width;
-                m_WindowHeight = this.Height;
-            }
-            catch (Exception ex)
-            {
-                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
-            }
-        }
-        #endregion
-
         #region 画面サイズ変更時のセルサイズ変更
         /// <summary>
         /// 画面サイズ変更時のセルサイズ変更
@@ -48,30 +28,6 @@
             {
                 DataGridView dgv = dgvAllDisplay;
 
-                //int CellWidth1 = m_CellSize[(int)DispGridColumn.ItemName];
-                //int CellWidth2 = m_CellSize[(int)DispGridColumn.TextName];
-                //int CellWidth3 = m_CellSize[(int)DispGridColumn.SubContractorName];
-                //// 最大化の場合
-                //if (!bNormal)
-                //{
-                //    int allWidth = 0;
-                //    for (int i = 0; i < dgv.ColumnCount;i++ )
-                //    {
-                //        allWidth += m_CellSize[i];
-                //    }
-                //    // セルの合計サイズが大きい場合は処理しない
-                //    if (allWidth > dgv.Width) return;
-
-                //    int idifference = (dgv.Width - (allWidth + dgv.RowHeadersWidth)) / 3;
-                //    CellWidth1 += idifference;
-                //    CellWidth2 += idifference;
-                //    CellWidth3 += idifference;
-                //}
-
-                //dgv.Columns[(int)DispGridColumn.ItemName].Width = CellWidth1;
-                //dgv.Columns[(int)DispGridColumn.TextName].Width = CellWidth2;
-                //dgv.Columns[(int)DispGridColumn.SubContractorName].Width = CellWidth3;
-
             }
             catch (Exception ex)
             {
@@ -91,13 +47,23 @@
                 // 表示ラベルオブジェクト取得
                 int ArrayCount = Enum.GetNames(typeof(DspCtrlName)).Length;
                 m_DspControl = new Control[ArrayCount];
-                // ヘッダー情報
-                // 作業年月
-                m_DspControl[(int)DspCtrlName.ConstructionYear] = label2;
+
+                // ----- ヘッダー情報
+                // 担当者名
+                m_DspControl[(int)DspCtrlName.DepartmentName] = cmbDepartment;
+                // 担当者名
+                m_DspControl[(int)DspCtrlName.PersonName] = cmbConstructionPerson;
+                // 日報年月
+                m_DspControl[(int)DspCtrlName.ConstructionYear] = comboBox1;
+                // 日報開始日
+                m_DspControl[(int)DspCtrlName.ConstructionDayFrom] = label7;
+                // 日報終了日
+                m_DspControl[(int)DspCtrlName.ConstructionDayTo] = label8;
                 // 出勤日数
-                m_DspControl[(int)DspCtrlName.attendancesDays] = label4;
+                m_DspControl[(int)DspCtrlName.WorkingDays] = label4;
                 // 残業時間
-                m_DspControl[(int)DspCtrlName.Overtime] = textBox1;
+                m_DspControl[(int)DspCtrlName.Overtime] = label13;
+
             }
             catch (Exception ex)
             {
@@ -130,10 +96,11 @@
         {
             try
             {
-                // 対象月
-                string strYear = CommonMotions.cnvJapaneseCalendar(m_ReportDate);
-                m_DspControl[(int)DspCtrlName.ConstructionYear].Text = strYear.Substring(0, strYear.IndexOf("月") + 1);
+                // 対象年度のセット
+                SetActionMonthly();
 
+                // 対象月の開始～終了日のセット
+
                 return true;
             }
             catch (Exception ex)
@@ -156,12 +123,6 @@
         {
             try
             {
-                // 初期設定
-                InitSettingLoad();
-                
-                // 表示オブジェクトの取得
-                SetDisplayObject();
-
                 // 表示クリア
                 ClearDisplay();
 
@@ -168,8 +129,8 @@
                 // ヘッダー表示
                 if (!DispHeader()) return;
 
-                // 固定文字の表示
-                FixDispData();
+                // データ表示
+                InitDispData();
                 
             }
             catch (Exception ex)
@@ -189,39 +150,72 @@
         /// 固定表示の設定
         /// </summary>
         /// <returns></returns>
-        private void FixDispData()
+        private void InitDispData()
         {
             IOMHolidayCalender calDB = new IOMHolidayCalender();
             try
             {
+                // 選択年月を取得する
+                string strSelDate = CommonMotions.cnvString(comboBox1.SelectedValue);
+                DateTime WorktDate = CommonMotions.cnvDate((strSelDate + "/1"));
+
                 // 月の最終日を求める
-                int monthlyLastDay = DateTime.DaysInMonth(m_ReportDate.Year, m_ReportDate.Month);
+                int monthlyLastDay = DateTime.DaysInMonth(WorktDate.Year, WorktDate.Month);
 
+                // 開始日・終了日のセット
+                m_DspControl[(int)DspCtrlName.ConstructionDayFrom].Text = "1";
+                m_DspControl[(int)DspCtrlName.ConstructionDayTo].Text = monthlyLastDay.ToString("00");
+
                 DataGridView dgv = dgvAllDisplay;
                 
                 dgv.Rows.Clear();
+
+                string strSQL = "SELECT AX.DT, DATE_FORMAT(C.HOLIDAY,'%Y/%m/%d'), D.CONSTRUCTIONCODE, E.DETAILSTRING, D.OVERTIMEHOURS, D.WORKINGCOMMENT FROM";
+                strSQL += " (SELECT DATE_FORMAT((st+ROWNUM-1), '%Y/%m/%d') DT";
+                strSQL += " FROM SYS.ALL_CATALOG A,";
+                strSQL += string.Format(" (SELECT STR_TO_DATE('{0}','%Y%m%d') st,", (WorktDate.Year.ToString() + WorktDate.Month.ToString("00") + "01"));
+                strSQL += string.Format(" STR_TO_DATE('{0}','%Y%m%d') ed FROM DUAL) B", (WorktDate.Year.ToString() + WorktDate.Month.ToString("00") + monthlyLastDay.ToString("00")));
+                strSQL += " WHERE ROWNUM <= (ed - st + 1)) AX";
+                strSQL += " LEFT JOIN HOLIDAYCALENDERMASTER C ON C.HOLIDAY = AX.DT";
+                strSQL += " LEFT JOIN ATTENDANCEDATA D ON D.ATTENDANCEDATE = AX.DT";
+                strSQL += " LEFT JOIN CONSTRUCTIONBASEINFODETAIL E ON E.CONSTRUCTIONCODE = D.CONSTRUCTIONCODE";
+                strSQL += string.Format(" AND E.DETAILNO = {0}", (int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionName);
+                strSQL += " ORDER BY AX.DT, D.SEQNO";
+
+                ArrayList arList = new ArrayList();
+                if (!calDB.ExecuteReader(strSQL, ref arList)) return;
+                DateTime DispDate = DateTime.Now;
+                string strHoliday = string.Empty;
+                string strConstrName = string.Empty;
+                int AttendamceCnt = 0;
                 // 日付の表示
-                for (int iday = 1; iday <= monthlyLastDay; iday++)
+                foreach (object[] CurRec in arList)
                 {
-                    int AddRow = dgv.Rows.Add(1);
+                    DispDate = CommonMotions.cnvDate(CurRec[0]);
+                    strHoliday = string.Empty;
+                    strHoliday = CommonMotions.cnvString(CurRec[1]);
+                    strConstrName = CommonMotions.cnvString(CurRec[3]);
 
-                    // 日付
-                    dgv.Rows[AddRow].Cells[(int)DispGridColumn.DispDay].Value = string.Format("{0}日", iday);
-                    dgv.Rows[AddRow].Cells[(int)DispGridColumn.Day].Value = iday;
-                    // 曜日
-                    DateTime dtwork = m_ReportDate.AddDays(iday - 1);
-                    dgv.Rows[AddRow].Cells[(int)DispGridColumn.WeekString].Value = dtwork.ToString("dddd");
+                    int AddRow = dgv.Rows.Add(string.Format("{0}日", DispDate.Day.ToString()),
+                                                DispDate.Day,
+                                                DispDate.ToString("dddd"),
+                                                CommonMotions.cnvInt(CurRec[2]),
+                                                strConstrName,
+                                                CommonMotions.cnvDouble(CurRec[4]).ToString("#.#"),
+                                                CommonMotions.cnvString(CurRec[5])
+                                                );
 
                     // 休日のチェック
-                    string strSQL = calDB.CreatePrimarykeyString(dtwork);
-                    HolidayCalenderMaster calRec = new HolidayCalenderMaster();
-                    if (calDB.SelectAction(strSQL, ref calRec))
+                    if (strHoliday.Length != 0)
                     {
-                        dgv.Rows[AddRow].Cells[(int)DispGridColumn.DispDay].Style.ForeColor = Color.Red;
-                        dgv.Rows[AddRow].Cells[(int)DispGridColumn.WeekString].Style.ForeColor = Color.Red;
+                        dgv.Rows[AddRow].Cells[(int)GridColumn.DispDay].Style.ForeColor = Color.Red;
+                        dgv.Rows[AddRow].Cells[(int)GridColumn.WeekString].Style.ForeColor = Color.Red;
+                        continue;
                     }
+                    if (strConstrName.Length != 0) AttendamceCnt++;
                 }
-
+                // 出勤日数
+                m_DspControl[(int)DspCtrlName.WorkingDays].Text = AttendamceCnt.ToString("#");
             }
             catch (Exception ex)
             {
@@ -272,7 +266,7 @@
                 DataGridViewRow CurRow = dgv.CurrentRow;
 
                 // 対象日付取得
-                int TargetDay = CommonMotions.cnvInt(CurRow.Cells[(int)DispGridColumn.Day].Value);
+                int TargetDay = CommonMotions.cnvInt(CurRow.Cells[(int)GridColumn.Day].Value);
 
                 int InsertCnt = CurRow.Index + 1;
                 // 選択行が不正ならば処理しない
@@ -282,7 +276,7 @@
                 DataGridViewAction.CreateNewLine(dgv, ref InsertCnt);
 
                 // 日付セット
-                dgv.Rows[InsertCnt].Cells[(int)DispGridColumn.Day].Value = TargetDay;
+                dgv.Rows[InsertCnt].Cells[(int)GridColumn.Day].Value = TargetDay;
 
                 // データ変更フラグON
                 m_bChengeAns = true;
@@ -316,7 +310,7 @@
                 if (RemoveCnt == 0) return;
 
                 // 日付が1日だけの場合は削除できない
-                int CurDay = CommonMotions.cnvInt(CurRow.Cells[(int)DispGridColumn.Day].Value);
+                int CurDay = CommonMotions.cnvInt(CurRow.Cells[(int)GridColumn.Day].Value);
                 
                 if (MessageBox.Show("カレント行を削除します、よろしいですか？", "行削除確認"
                         , MessageBoxButtons.YesNo, MessageBoxIcon.Question) != DialogResult.Yes) return;
@@ -323,8 +317,8 @@
 
 
                 int sameCount = 0;
-                if ((RemoveCnt >= 0) && CurDay == CommonMotions.cnvInt(dgv.Rows[(RemoveCnt - 1)].Cells[(int)DispGridColumn.Day].Value)) sameCount++;
-                if ((RemoveCnt <= (dgv.RowCount - 1)) && CurDay == CommonMotions.cnvInt(dgv.Rows[(RemoveCnt + 1)].Cells[(int)DispGridColumn.Day].Value)) sameCount++;
+                if ((RemoveCnt >= 0) && CurDay == CommonMotions.cnvInt(dgv.Rows[(RemoveCnt - 1)].Cells[(int)GridColumn.Day].Value)) sameCount++;
+                if ((RemoveCnt <= (dgv.RowCount - 1)) && CurDay == CommonMotions.cnvInt(dgv.Rows[(RemoveCnt + 1)].Cells[(int)GridColumn.Day].Value)) sameCount++;
 
                 // 日付が1日だけの場合は行削除できない
                 if (sameCount == 0)
@@ -332,9 +326,9 @@
                     foreach (DataGridViewCell wrkcell in CurRow.Cells)
                     {
                         // 日付はクリアしない
-                        if (wrkcell.ColumnIndex == (int)DispGridColumn.DispDay) continue;
-                        if (wrkcell.ColumnIndex == (int)DispGridColumn.Day) continue;
-                        if (wrkcell.ColumnIndex == (int)DispGridColumn.WeekString) continue;
+                        if (wrkcell.ColumnIndex == (int)GridColumn.DispDay) continue;
+                        if (wrkcell.ColumnIndex == (int)GridColumn.Day) continue;
+                        if (wrkcell.ColumnIndex == (int)GridColumn.WeekString) continue;
                         // クリア
                         wrkcell.Value = "";
                     }
@@ -342,16 +336,16 @@
                 else
                 {
                     // 日付表示行は表示日付を下の行に移す
-                    Color DayColor = dgv.Rows[RemoveCnt].Cells[(int)DispGridColumn.DispDay].Style.ForeColor;
-                    Color WeekColor = dgv.Rows[RemoveCnt].Cells[(int)DispGridColumn.WeekString].Style.ForeColor;
-                    string strDispDay = CommonMotions.cnvString(dgv.Rows[RemoveCnt].Cells[(int)DispGridColumn.DispDay].Value);
-                    string strWeek = CommonMotions.cnvString(dgv.Rows[RemoveCnt].Cells[(int)DispGridColumn.WeekString].Value);
+                    Color DayColor = dgv.Rows[RemoveCnt].Cells[(int)GridColumn.DispDay].Style.ForeColor;
+                    Color WeekColor = dgv.Rows[RemoveCnt].Cells[(int)GridColumn.WeekString].Style.ForeColor;
+                    string strDispDay = CommonMotions.cnvString(dgv.Rows[RemoveCnt].Cells[(int)GridColumn.DispDay].Value);
+                    string strWeek = CommonMotions.cnvString(dgv.Rows[RemoveCnt].Cells[(int)GridColumn.WeekString].Value);
                     if (strDispDay.Length != 0)
                     {
-                        dgv.Rows[RemoveCnt + 1].Cells[(int)DispGridColumn.DispDay].Value = strDispDay;
-                        dgv.Rows[RemoveCnt + 1].Cells[(int)DispGridColumn.WeekString].Value = strWeek;
-                        dgv.Rows[RemoveCnt + 1].Cells[(int)DispGridColumn.DispDay].Style.ForeColor = DayColor;
-                        dgv.Rows[RemoveCnt + 1].Cells[(int)DispGridColumn.WeekString].Style.ForeColor = WeekColor;
+                        dgv.Rows[RemoveCnt + 1].Cells[(int)GridColumn.DispDay].Value = strDispDay;
+                        dgv.Rows[RemoveCnt + 1].Cells[(int)GridColumn.WeekString].Value = strWeek;
+                        dgv.Rows[RemoveCnt + 1].Cells[(int)GridColumn.DispDay].Style.ForeColor = DayColor;
+                        dgv.Rows[RemoveCnt + 1].Cells[(int)GridColumn.WeekString].Style.ForeColor = WeekColor;
                     }
 
                     // 行削除
